/** \file     bdd_io_setfam.h
 *  \brief    IO functions for data files that represent set families.
 *  \author   Takahisa Toda
 */
#ifndef BDD_IO_SETFAM_H
#define BDD_IO_SETFAM_H

#include "bdd_interface.h"
#include "my_io_setfam.h"

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

extern  zddp  zcomp                           (uintmax_t row_count, uintmax_t entry_count, FILE *in);
extern  int   unzcomp                         (itemval max, zddp f, FILE *out);
extern  zddp  zdd_naive_comp_orig             (uintmax_t row_count, uintmax_t entry_count, FILE *in);
extern  zddp  zdd_naive_comp_rand             (uintmax_t row_count, uintmax_t entry_count, FILE *in);
extern  zddp  zdd_naive_comp_with_sorting     (uintmax_t row_count, uintmax_t entry_count, FILE *in);
extern  zddp  zdd_naive_comp_with_sorting_rev (uintmax_t row_count, uintmax_t entry_count, FILE *in);


#endif /*BDD_IO_SETFAM_H*/
